---
title: Ephemeralis-Weekly（14）：泡沫箱里的宣纸
date: 2024-12-08
summary: 浮生散记第十四期
description: 本文是作者周报的第十四期，涵盖了生活琐事、技术探索、思想转变等多个方面。作者以初雪开篇，由此引发出对过去时光的怀念。文章详细记录了购买新域名`viento.cc` 的过程，并解释了其含义和未来用途。作者还探讨了开源个人财务管理软件的可能性，指出由于银行API的限制，实现完全自主化管理存在困难。在技术探索方面，作者推荐了一些基于Tauri框架的应用，并尝试使用Deno Deploy部署项目。此外，作者还分享了新购置VPS的经验，并探讨了自托管社交媒体平台的可能性，对GoToSocial、Mitra和Bluesky等平台进行了比较分析。由于对现有邮件客户端的不满，作者计划自行开发一个新的邮件客户端，并开始学习Rust语言。文章也简要提到了域名备案问题，并反思了自身情绪变化和压力下的“迟钝”状态。最后，作者反思了自身“谨言慎行”的写作风格，认为合理的争议是进步的催化剂，自己未来将尝试在保持温和基调的前提下，在博客中融入更多具有思辨性的内容。
categories: ["人间世"]
series: 岁时录
tags:
  - 博客
  - 出游
  - Fediverse
  - 哲学
slug: weekly-14
featuredImage: https://img.viento.cc/cover/weekly-14-cover.webp
draft: false
---

各位老友们好，我是 Chlorine。新的一期周报，双手奉上。

现在浮生散记都快变成半月刊了……没办法，苦命的带学生是这样的。~~不过放心，小氯还没似呢，一时半会不会断更。~~

本节的标题非常晦涩且与内容关系不大，算是一个意识流的词汇吧。大家也没必要去深究其含义了。

本文为园子周报——Ephemeralis Weekly（浮生散记）的第十四期，日期范围为公历 2024 年 11 月 25 日至 12 月 28 日。祝食用愉快。

## 雨雪

这个标题的「雨」可以读上声（yǔ），也可以读去声（yù）。后者的解释是动词，下。这个奇怪的用法大概是在某首古代的情诗里面学来的，那首诗的具体内容已经记不得了，只记得一句「山无棱，天地合，乃敢与君绝」。所以后来当我看到一篇文章，题目叫作《[当山峰没有棱角](https://zhuanlan.zhihu.com/p/103151003)》，那种福至心灵的顿悟感，相当美妙。

抱歉，扯远了。

从上周末开始，就收到了许多消息，表示马上要降温了，有寒潮，甚至会下雪。来自北境的小氯自然是不害怕冷的，所以就没太在意。

不过，小氯还是小看了温带大陆性季风气候寒潮的夸张体感。直观的感觉，当然是天大寒，砚冰坚，手指不可屈伸。小氯翻箱倒柜地找出了羽绒服，但是居然还是觉得冷——羽绒服是当初发的，轻盈、简便而充实，而且极其压风。甚至在加上最厚的手套后，小氯的手还是出现了冻伤。

在周二上完会原出来时，小氯感觉眼睛里落进了什么东西。刚想抬手擦一下，结果却鬼使神差地抬头看到，路灯映照下的视野中，多了些迅疾的箭矢一般的造物。

![|326](https://img.viento.cc/IMG-20241130213408.avif "抱歉，我贫瘠的字句找不出更好的描述方式了")

是的，下雪了。这可真是讽刺，因为就在下课前摸鱼时，小氯还在写着「实际上，到现在也没下雪」。

如上文所说，小氯来自北境，虽然气候相比真正的北部边疆温暖不少，但对于雪，也是从小耳鬓厮磨一般的造物。所以看到雪时，也难说有什么惊喜的感觉，最多是会自言自语一句「不如家里的雪好看啊」。

……此外，上面说的那篇文章，曾经是我最喜欢的文章之一。这篇文章还在，但是在我再次阅读并对其存档时，我总是感觉：**这篇文章是不是修改过？我隐约记得，里面有的字句不是这样的**。当然，当然，也有可能只是我的幻觉。毕竟，小氯的记性一向不大好。

回到这篇文章。倒不是说写得有多好（虽然说确实很好），只是我始终怀念着初读文章的那种心境。那种心境恐怕是回不来了，连带着小氯曾经所有的须知少时凌云志，一起死在了 2023 年的夏天。

呸呸呸，说什么呢。在小氯的家乡，提这个字是不吉利的，每次说这种话题都需要呸一口，意思是甩掉霉运。

## 新域名（N）

~~小氯酱现在买域名比买奶茶都勤~~

其实这件事实在是有点偶然……先说说买了什么吧。这次是我很感兴趣的 `.cc` 域名，具体来说，`viento.cc`。

事情的起因和园子的大修计划有关。小氯之前说过，打算为园子建立一套完整的服务系统（~~尽管实际上也没几个服务~~）。这个系统之前被命名为 HereX，小氯为此买了个新的域名，就是 `herex.icu`。

不过今天小氯突然想到，这个名字……是不是和 X（Twitter）的关系比较可疑？

我整个人瞬间不好了。

其实小氯最初的想法是 `hereis.cc`，前缀自不必说，就是 Here is，`.cc` 是科科斯群岛的 ccTLD，不过由于其注册开放、价格不高且简写的含义丰富，经常被拿来整活。下面是（对于园子来说）几个可能的解读：

- Chlorine Chan（小氯酱）
- *Cercis chinensis*（一种小氯有点喜欢的花）
- C Compiler（C 编译器）
- Creative Commons（知识共享许可协议）
- Community Centre（社区中心）

确实很好对吧（自我陶醉 ing）。

回到主线。然后小氯就开始寻找各种比较心仪的其他域名，毕竟这个可是和主域名一样重要的。

然后小氯想到了一个选择：`viento.cc`（~~足以见得小氯这家伙买域名大部分时候都是脑袋一热~~）。

Viento 是西班牙语，意思就是 Wind，其读音大致介于 Biento 到 Biendo 之间，如果对发音要求不是太严格的话，直接读作「Biendo」即可。

这个词实际上出自小氯常用的个签之一：

>  Como el viento.

这句话允许自由解读。

以及……风和日光，都是自然的一部分，不是吗？（笑）

于是小氯拿下了这个域名，服务商是 Porkbun。之前听说 Porkbun 的事情大部分都止于其比较便宜的 `.moe` 域名，这次也算是又多了一个域名注册商了。

以及，我有点好奇这家公司和中国人（或者华人）有没有关系。猪肉包子，怎么听怎么都像非常有东亚特色的名字——自信点，就是中国特色。

目前为止，小氯对这个域名已经比较满意了。唯一的难题大概就是子服务的名字不太好起，需要花点精力。

如果没有意外情况（~~比如小氯脑子一热又买了个域名~~），园子的管理系统将使用这个域名，如果您接受到这个域名相关的信息，那么其应与园子的主域名具有同样的信任度，除非我有明确公告不再使用这个域名提供服务。

## 会有开源的个人财务系统吗？

如[上篇周报]({{< relref "Ephemeralis-Weekly（13）：生活的起伏.md" >}})所言，最近小氯开始对各种各样的银行卡感兴趣。虽然说有很多个银行账户并不会提高我的社会信用（甚至可能适得其反），但是许多银行卡真的很有艺术价值。

——那为什么不直接去买各种周边呢？我觉得，这个问题就像是问喜爱集邮的人为什么不直接去买画张。好的邮票或者是银行卡，是实用价值和美学价值的高度统一。我偏爱这种统一，如痴迷于定理的物理学家偏爱形式之美和应用价值的统一。而且，和邮票一样，至少在此处的生活中，银行卡几乎已经是上一个时代的东西了。小氯这人很奇怪，有时会偏好那些会给自己的生活带来麻烦的旧事物。

抱歉，又跑题了。在思考要不要再办几张银行卡的时候，我自然而然地想到了：假如真的有这么多银行卡，我应该怎么管理呢？

最简单的想法应该就是使用统一化电子钱包，例如国内的 WeChat Pay，Alipay 或者国外的 Google Pay，Apple Pay，PayPal 等。的确也存在一些专门管理银行卡的软件，比如一些信用卡管家，银联的 App，甚至是一些大行的 app 也能用。

当然，各位来这里，显然不是为了看这些的，小氯也不想多写这些。小氯希望能找一个开源的解决方案，来实现完全自主化的个人财务管理。

个人财务管理是一个比较广的概念，比银行账户管理复杂得多。当然，对于目前的情况来说，小氯当然不需要使用会计等式——Assets = Liabilities + SE，也不需要 T 型账户，更不需要做 Annual Adjustment、写 Balance Sheet 或者 Income Statement，最多也就是查一下账看看是否会有什么漏记的部分。小氯没有股票、期权、基金，没有欠债，没有加密货币。而且，由于小氯严格避免任何形式的信贷和透支，信用卡完全可以被看作普通借记账户管理。

很遗憾，即使是这个简化版的需求，小氯也找不到任何可用的软件。原因非常简单：数据从哪里来？

乍一看这不是问题，从银行的 API 获取就好了。**可问题是银行没有或者很少有这样的 API（注意我说的不是没有 API）**，即使是有也通常只对企业级用户开放。这也好理解，毕竟金融业的信息安全要求比犯罪还高。不管是从保护用户的角度看还是从利好银行自身业务的角度看，公开开放这样的 API 都很危险。

所以我们也只好退一步，看看是否有一个自动化或者至少是半自动化的「记账方法」。没办法实时获取，那我记 Journal 总行了吧。

这个事情有很多人在做，少数派有好几篇借助短信通知等方法实现半自动化的教程，在环境更加开放的安卓，甚至有小星记账这样的软件可以实现（至少是 WeChat Pay 和 Alipay 的）几乎完全自动化的记账，只需要点一下确认就好。理论上来说，我们可以通过手机银行等方式实现相当程度的自动化（前提是短信的通知格式统一），然后读取数据到后端，形成完善的数据库和前端展示。但是这需要做很多复杂的适配工作，很容易让人失去折腾的力气。

## 选课

最近有我校每学期一度的高等信息经济学与应用博弈论实践课程（人话：选课）。这几个学期是小氯课业压力的癫疯期，这学期有 DSA、ICS、中微、会原这些核癌可氢的课程，下学期同样是仙之人兮列如麻，例如概统、大物、中宏、公金、数电、社分。这几大硬课伺候我一个人，福气还小得了吗（悲）。

## 几个有趣的 Tauri 应用

一般来说小氯不太喜欢写「应用推荐合集」这种东西，就连 App Defaults 以及当初说着要写的「小氯の工具箱」都懒得写了。因为这种文章本质上没有创造任何新的价值（注意我说的不是「没有价值」）。这里纯粹是小氯这几天逛了逛 Tauri 的社区（~~你作业写完了吗？~~），发现了不少好玩的项目。简单罗列下其中一部分，博君一笑就好。

题外话，小氯对 Tauri 相当有好感。这份好感的最初来源可能是一个神秘的信息安全学习软件，在其前任、一个非常著名的信息安全学习软件删库 / Archive 之后接过了开发的大旗，继续为广大信息安全爱好者们提供服务。而这个软件就是使用 Tauri 开发的。回到 Tauri 本身，在小氯粗浅的理解中，Tauri ≈ Rust 后端 + Web 前端。Rust，~~高贵的~~现代化语言，加分；Web 前端，可以用各种前端框架整花活，而且不需要像 Electron 那样嵌入一个巨大的 chromium，加分；兼容广泛，跨平台，甚至可以包括移动端，加分。buff 叠满了属于是。如果让小氯选择一门希望立刻学会的软件开发技术，那 Tauri 必然是第一位（虽然严格来说这不是「一门」技术）。

### Kunkun

说实话，在看到这个名字的时候，我的内心是十分警觉的，毕竟这个名字很容易让人联想到一位故人。

然后当我进入他们的[官方网站](https://kunkun.sh)时：

![|605](https://img.viento.cc/IMG-20241201173904.avif)

你说你不是小黑子我是一点都不相信的。

言归正传。这是个 App Launcher，支持插件，相当于是跨平台、开源的 Alfred / Raycast Alternative 吧。不过现在功能还很有限，看来练习时长还不太够，需要继续自我提升。

### Neohtop

`top` 咱都知道，`htop` 也知道。那么 Neohtop 大概就是 htop 的 GUI 版本。

![|596](https://img.viento.cc/IMG-20241201175803.avif)

看着颇有点……那个东西叫什么来着，对了，Catppuccin 的味道。

只可惜键盘导航支持还是不如 Raycast 的 Kill process，要不然就直接用这个代替了。

### EcoPaste

老实说，Tauri 大家族是真不缺剪贴板软件，EcoPaste 是其中之一。但是很遗憾，在 macOS 上的体验并不如 Raycast 的剪贴板插件。而且最重要的一点：**在调出后不会自动成为最前置窗口**，这点是剪贴板的刚需。

### Lettura

一个 Feed Reader，采用的是小氯非常喜欢的 Shadcn UI。不过下面这张图体现得不是很明显，如果好奇 Shadcn UI 是什么样子，大体可以去看一下 Vercel。

![|678](https://img.viento.cc/IMG-20241202084302.avif)

感觉作为 RSS 阅读器而言还是蛮合格的，虽然说不如 Follow 那么丝滑，但是人家资源占用小啊。当然，RSSHub 之类的我没测试，反正我也用得少。

其实说实话，尽管 Follow 在博友圈中的声望相当高，其水平也确实担得起这声望，但是**小氯并不喜欢 Follow 的社交元素**。严格来说，对于这类软件，小氯不喜欢任何形式的社交元素。原因无他，就如我在[第十一期周报]({{< relref "Ephemeralis-Weekly（11）：案几之上.md" >}})里面说的：

> 小氯只希望安安静静地读点东西，没有任何人能闯进我的书房。

Tauriverse 还有很多有趣的应用，如果感兴趣，去 [Awesome Tauri](https://github.com/tauri-apps/awesome-tauri) 自己翻去吧。

## Hello，Deno

不是很正宗的 Hello 系列新成员。不过这里的 Deno 不是那个新的 JS 运行时，而是指 Deno Deploy。

我第一次听说这个平台是从著名的[中文网字计划](https://chinese-font.netlify.app)。中文网字计划就使用 Deno 结合 ImageKit 做字体分发。最近，小氯在研究一个著名项目时，突然想到：既然这个项目能用 Cloudflare Workers 部署，那能用 Deno 吗？

于是在我（~~准确来说是 AI~~）的努力下，一个新的衍生项目诞生了：

{{< github repo="chlorine3545/gh-proxy-deno" >}}

目前来说用起来还不错，同时收获了人生中最快的一个 star。

Deno 是个蛮好玩的 JS 工具，用 Rust 编写（~~高贵的 Rust~~），默认最小权限，URL 化包管理，TS 原生支持。鉴于 Bun 的 bug 实在是太多了（~~Bugn~~），感觉也可以用 Deno 学 TS。不过目前为止生态系统还不够丰富，像 Vercel 和 Netlify 这些平台都还不完全支持。

## New VPS（2）

~~马上要进化为勃艮第机农了（喜）~~

闲着没事捞了一台 Vmiss 的 HK VPS，1C 1G 10G，500M / 1T。用了一个优惠码，把价格打到了大概 90 CNY，续费同价，还算可以。直观感觉就是延迟比我的 RackNerd LA 低多了，至少 SSH 的时候基本上秒连，打命令也没延迟。

当然，这么小一台 VPS 也跑不了什么大家伙，但是由于带宽和流量还行，适合做一些对这方面要求比较高的服务。~~别误会，我说的是 CDN。~~

## 新的社交媒体平台？

最近闲来无事，打开 Ice Cube 想刷刷 Fedi，结果惊奇地发现数据获取不了了。前往 Owu Social 的源站发现也出现了 502，看来是服务器宕机了（在第二天恢复）。

这件事让我有了一点危机感，把数据放在别人手中——即使是 Owu Social 这样让人信任的团队，也是件有点危险的事情，虽然我并不觉得我自己维护的实例会比 Owu Social 的实例更稳定（人家 Owu Social-G 好歹是整个 Fediverse 中第二大的 GoToSocial 实例）。正好，[上一期周报]({{< relref "Ephemeralis-Weekly（13）：生活的起伏.md" >}})也说希望自托管一个实例用来做 Fedi feed，于是我开始物色一个合适的 implement。

### GoToSocial

这个不用我多说了。不过我实际测试下来，其内存占用并没有说的那么小，甚至和我的 SearXNG 差不多大，这和其轻量级实例的名声也不匹配啊（也可能是我的打开方式不对）。而且，GoToSocial 的默认界面实在是令人一言难尽，如果要改的话，需要重写 `web` 文件夹（我简单看了下，大体和 Hugo 的 HTML 差不多，都是 Go Template 语法），实在是太麻烦了。

### Mitra

[Mitra](https://codeberg.org/silverpill/mitra) 也是庞大的 Fediverse 的一份子，只不过是非常小众的一份子。小众到什么程度？如果你在 [FediDB](https://fedidb.org) 中搜索「Mitra」，你会发现，在整个联邦宇宙中，Mitra 的用户只有 423 个（截至 2024 年 11 月 26 日），这个数字仅为 Mastodon 的 0.0052%。而且，我在中文和英文的搜索引擎下都找不到**任何一篇**关于如何部署的教程，准确来说，我甚至都找不到任何一篇文章！

对我来说，Mitra 有几个非常吸引人的点：

- 使用 Rust 构建（~~高贵的 Rust~~）。
- 界面超级好看，至少非常符合我的审美。
- 账户迁移功能，再也不用担心数据和一个实例绑定了。
- 支持订阅（虽然说要用门罗币付钱，但是也没说订阅一定要付钱对吧？）。

不过，Mitra 还有几个比较麻烦的点。没有现成的 docker-compose 文件自然是一个，其需要使用 PostgreSQL（在源码构建过程中，作者是这么说的，不知道在 Docker img 中是否也是如此），甚至还需要一堆别的服务，行，用就用吧，我忍。而且，从 issue 来看，作者应该是个非常坚定的 FOSSist，拒绝把 Mitra 和任何非自由的服务整合在一起，那不管是 Cloudflare R2 还是 AWS S3 都用不了，那媒体文件全存在本地，硬盘恐怕受不了。

作者的原话：

> Integrations with non-free services are not allowed, but if fully open-source implementations of S3 object storage exist, then we can support them.

……所以，S3 现在不应该说只是一个协议（事实标准）吗？能兼容 MinIO，就不能兼容 Cloudflare R2 或者 AWS S3（这里的能指的是事实上的可行性）？难道我们连协议也要「纯正的自由」吗？至少现在，小氯没办法理解这一点。

### Bluesky

这个家伙就不是 ActivityPub 的一部分了，而是一个完全单独的平台。

Bluesky 的具体信息可以看一下 Wikipedia，简单来说，就是一个使用自己的 AT&T 协议的社交平台。最近一段时间（其实我也不知道能不能叫最近）因为某些事情，Bluesky 的社区规模急剧增长。

Bluesky 支持很多有趣的特性，例如域名作为用户名，无缝的节点迁移等。不过 Bluesky 有一个很离奇的点：**它的用户数据是去中心化的，但是用户交互是中心化的**。简单来说，就是用户可以自托管数据，但是平时的 client 交互都在 [Bsky App](https://bsky.app) 完成。在分享用户的 profile 时，也是在 Bsky 的域名下完成。虽然说社区现在有一些第三方的 Web 或者本机客户端，但似乎都不算太完善。这可不是什么好事。

我不太知道它能不能算 Fedi 的一部分，从定义上来说，Fediverse 是「decentralized group of social media platforms in which each independent platform can interact freely with any other platform that is part of the group」（来源：《大英百科全书》）。那么只要能用同一个协议自由通信的一组非中心化的社交服务器都算是 Fedi。那这么看，电子邮件也算是一种广义的 Fedi，Matrix 当然更是，那么 Bluesky 自然也是。不过现在我们说起 Fedi 的时候，大部分就是指 ActivityPub 了。

## 邮件客户端的难题

邮件客户端是个老生常谈的话题，小氯也一直在努力寻找适合自己要求的客户端。小氯其实要的特性也不太多，就是一个 Unified Box（现在基本上是标配），GPG 和过得去的 UI。不过小氯喜欢开源的东西，这个难度唰一下就上来了。

很遗憾，小氯找了很久很久，得出的答案是：**没有**。

Thunderbird 是最经典的选择，但是性能上和资源占用还是上个时代技术栈的老样子，对 Outlook 的支持非常糟糕（这也可能是牢软的问题），用户界面也让人不忍直视（如果安装一个好看点的主题，然后忽略设置界面的话，还是过得去的）；Betterbird 在这方面和其原型半斤八两，兼容性甚至更差；Claws Mail 的界面和功能更是如此，简直就是极客致敬上世纪计算机技术的情书；Mailspring 拥有可能是最好看的用户界面（尤其是 LIM 主题），但是不支持 GPG 加密（这个事情被诟病了有六七年了），同时还需要账户（~~此处手动 @ Follow~~）；Evolution 和 KDEMail 只支持 Linux，而且我并不认为它们能比 Apple Mail 做得更好。剩下基本就没什么开源的邮件客户端了，要么就是停更很久不敢用一点的。

这是桌面端。安卓有 K-9 和 Fairmail，至于 iOS，笑死，别说符合要求的开源客户端了，开源的客户端都没有，字面意义的没有（这里不包括 Delta Chat 和没有发布可用包的研究阶段项目）。

理论上来说，使用现代化的技术栈，例如 Rust + Tauri 开发一个邮件客户端是完全可行的（虽然肯定不简单）——一个很简单的经验事实：凡是能用 Electron 开发的东西，基本都能用 Tauri 开发。很可惜，至少就小氯目前所视的范围内，没有任何人在做这件事，虽然这是个极具吸引力和实用价值的项目。

**行，既然没有，那我自己写。**

小氯并不是在开玩笑，这个计划从技术上是完全可行的，所需要的只是孜孜不倦的学习和持之以恒的开发。尽管小氯现在连 Rust 的 Hello World 都写不明白，HTML 的标签都记不清楚有几个（爆改 Hugo 时只学会了一点零碎的前端），但是这并不意味着小氯将来就写不出来（~~小氯酱の谜之自信~~）。更何况，社区已经有了许多称手的工具，比如 Rust 的 `lettre` 和 `mailparse` 库，前端的各种五彩缤纷的框架等等，还有 Shadcn UI（我真的好喜欢这种设计风格！）和 UnoCSS 等老朋友。当然，如前面所说，这会是个漫长的过程，罗马城的第一块砖石还没垒起呢。

目前小氯主要是在闲暇时间学学 Rust。现在感觉 Rust 的语法也没那么别扭了，甚至有点赏心悦目。尤其是 cargo，比 C++ 的编译器智能太多了（~~GCC 娘 & Clang 娘：勿 cue~~）。

## 备案？

最近小氯接到了套路云的电话，大概意思就是小氯的备案域名没有在认证过的域名注册商名下，需要尽快转回来。看来这方面的政策又收紧了。之前只需要在备案期间转移到认证域名注册商即可，备案完事就可以随便转了（要么就是我弄错了，政策一直都是这样，只是我不知道）。

这也让小氯对新的域名要不要备案的问题产生了犹豫。理论上来说，园子现在除了备案号之外没有使用任何备案域名的特权（这里说的是主域名，不包括拿来做图床的），例如 CDN 和百度收录等，似乎也没必要备案。小氯备案的最初目的也就是搞一个官方认证，希望国内的老友们能够长期稳定地访问园子。而小氯现在的文章横竖也挑不出什么敏感言论，似乎也没有任何被制裁的理由。~~就算被制裁了，大不了也就是切回备案过的域名。~~

## 稳定与迟钝

小氯一向自诩为一个情绪稳定的人（姑且说是人吧？），但是在经过了这段时间连续不断的 DDL 与考试的残酷压迫后，我对这个判断产生了怀疑，因为我产生了非常严重的负面情绪（注意我用的是「我产生了负面情绪」而不是「我很如何如何」）。

说得具体点吧。在面对无穷无尽的压力时，我能感受到我的压力很大，不仅是身体上的疲劳，甚至心理上也明确地体现出我「客观」的负面情绪非常严重（把「客观」和「情绪」两个词放在一起真的很奇怪），但是我「感觉」上的，或者说是我的「主观情绪」并没有什么大的变化，就好像这个负面情绪根本不是我自己的，只是我能观察得到的一个客体。这么说听起来很费解，打个比方吧：就像是高中生物学，神经系统那部分讲的传入神经受损，你的伤口在流血，你也知道你确实受伤了，但是你感觉不到痛。

这种情况我不知道应该叫它什么，或许「迟钝」就已经是最准确的词汇了。心理学有一个叫「解离」（dissociation）的词，用 [Wikipedia](https://zh.wikipedia.org/zh-cn/%E8%A7%A3%E9%9B%A2_(%E5%BF%83%E7%90%86%E5%AD%B8)) 的话来说，大概意思是在记忆、自我意识或认知的功能上的崩解。不过现在显然也没到那个程度，毕竟小氯现在还能正常地完成各种社会活动。

这样好吗？难说。这样当然可以在巨大的压力下依然保持至少是基本的 functionality，但如果天长日久都是这样，恐怕会有大问题——这个判断没有任何依据，只是我用上面的比方进行的推断，如果伤口一直流血，人即使不痛，也会失血过多死亡的。

当然，人不可能一直失血，除非伤口已经严重到一定程度，因为人有凝血机制。那么精神的凝血是什么呢？

## 一点中心思想不明确的碎碎念

小氯最近在听一首歌，名叫《Chinggis Khaan》（~~元神，启动！~~）。正好小氯最近在看西里尔字母（注：西里尔是蒙文的拼法之一），于是就试着~~拿着字典和 AI~~翻译了一下其中的一段。不过说实话，这个版本的歌词很奇怪，比如 арал（aral）是「岛屿」的意思，但是草原上显然不会有岛屿，因此只好理解为是一个不太恰当的比喻义。

>  Хөх тэнгэрээс заясан
>  
>  沐浴长生天之祝愿
>  
>  Хөдөө аралд мэндэлсэн
>  
>  生于这旷野的草原
>  
>  Хөх монголоо нэгтээ
>  
>  令苍色蒙古席卷四方
>  
>  Хөвчин дэлхийд дуурисгаад
>  
>  他的威名响彻这世间
>  
>  Эрэлхэг монгол Чингэс
>  
>  蒙古的勇士，成吉思汗
>  
>  Эзэнбогд Чингэсээ
>  
>  崇高的汗王，成吉思汗

小氯很久之前，看过一本叫《狼图腾》的小说。当时家里足够长的书不多——当然字典除外，这个算一本。小氯并不喜欢其中的一些部分，但是这本书确实让年幼的小氯了解了一点蒙古文化，至少我能很自然地拼出「腾格里」（意为「长生天」）这个词。

成吉思汗无疑是历史上非常值得讨论的领导人之一。他是出色的军事家和强大的征服者，但是其率领的蒙古军队在征服中的行径也颇具争议。而关于元朝（蒙古帝国）在中国历史上的地位和对于世界历史走向的影响，也是一个非常值得探讨乃至是潜心研究的领域。

但是，小氯在写之前，犹豫了。民族问题和政治、宗教、阶级、性别等一样，都是最敏感和有争议的话题之一，即使是几百年前的事情。小氯在博客内容方面一向是「明哲保身」的策略，小心翼翼地避免涉及一切可能引起争议的话题。用小氯一位老友的话来说，小氯似乎总是在「轻声细语地讲哲学」，把所有的话题弱化再弱化，直到其看起来甚至不如家长里短的闲聊严肃。

但是这一次，小氯不想再这么「谨言慎行」了。不是说我要谈成吉思汗的问题，而是说我要谈这个问题背后的问题。

虽然小氯的情绪一向稳定（或者用上面的结论，迟钝？），无论在线上线下几乎总是保持（至少是尽力保持）一个温和、安静、乐于讨论问题的形象，但这不意味着小氯的所有思想都是温和和安静的。事实上，小氯的许多观点都极其的辛辣和尖锐，尤其是在评价一些问题时，从不避讳给出一针见血到近乎令人不适的评价。只是我不希望发表过于尖锐的观点，破坏园子其乐融融的气氛，也不希望因为不适当地讨论一些问题惹祸上身，因此也尽可能地避免这些敏感且有争议的问题。只是，矫枉过正，现在几乎连任何稍微有争议的问题都不讲了，这里的「争议」是狭义的。

**但是，如果我们只说没有争议的话题，博客又剩下什么呢？或者更夸张点，互联网又剩下什么呢？甚至，思想又剩下什么呢？**

巴普洛夫有一句名言：争论是思想的最好触媒。纵观古今，无论是在古代雅典宏伟的神庙与热闹的街道，还是在稷下学宫七十六上大夫千余雅士济济一堂的高台，无论是点主义与 d 主义激烈交锋的分析学萌芽时期，还是在凯恩斯与哈耶克唇枪舌剑的近代经济学辩场，无论是在十月的炮响后尚且覆盖着残雪的罗斯大地，还是在风云变幻的世界中改革开放春天的前夜，真理总是在思想的碰撞和交锋中杀出重围。争议本身是无错的，真理是越辩越明的，那么我们有什么理由去回避那些合理的争议，把自己关在不知冬夏春秋的小楼里自成一统？

有争议不应该完全等同于敏感，在任何时候都是这样。无论是各种意识形态区别的学术性介绍，还是对周围一些问题的合理针砭，抑或是被认真塑造的替代历史路线，只要保持对现实、历史和政治足够的理性和尊重，不是妄议时政、煽动仇恨、破坏和谐、制造分裂一类的过激言论，都不是也不应该被视为不恰当的话题。

小氯想说的话就这么多。这不意味着小氯要向什么热点话题重拳出击，也不意味着小氯要在自己没有能力也不应该讨论的领域大放厥词。只是说，我们在公共空间中闲坐品茶时，可以聊的话题又多了一些。我们温和、友好、理性的基调不会改变，只是在思想的旷野与山峦中，我们手中不仅要有盛放的花，还要有明亮的剑。
