---
slug: upgrading-systems

summary: 小氯的奇妙冒险
tags:
  - macOS
  - Linux
  - 折腾
title: 升级系统那点事
date: 2024-09-18
description: 本文介绍了作者更新系统的经历。macOS Sequoia 的更新过程虽然遇到了一些问题，但新功能如 Markdown 预览对其有帮助。接着，作者提到了 iOS 18 和 iPadOS 18 的顺利升级，期待苹果能够专注于产品体验的优化。随后，作者讲述了 Ubuntu Server 24.04.1 LTS 的更新经历，解决了 SSH 连接中断的问题。最后，作者表达了对全面拥抱开源的兴趣，尤其是 Fedora 和 Manjaro 发行版，以及 Framework Laptop 的潜在购买计划。
categories: ["图灵机"]
featuredImage: https://img.viento.cc/cover/upgrading-systems-cover.avif
draft: false
---

各位老友们好，我是 Chlorine。今天给我的设备们更新了系统，咱们大体讲讲。

## 前置

虽然本文的内容是技术和生活分享，但是小氯还是希望提醒各位老友，今天在历史上是一个极为特殊的日子。忘记历史，就意味着背叛。万望各位生于华夏的老友，勿忘国耻。

## macOS Sequoia

大概是两天之前吧，Apple 发布了 macOS 的最新版本——macOS Sequoia 的正式版。

Sequoia 的意思是「红杉树」，这里说的应该是内华达山脉（Sierra Nevada，没错，就是那个 High Sierra）的红杉国家公园。据说牢果喜欢用 California 的一些地理景观命名操作系统，比如过去的 Big Sur（大苏尔，加州中部海岸的一个地区），Monterey（蒙特雷，一个海滨城市），Ventura（文图拉，旅游胜地），Sonoma（索诺马，著名的葡萄产地）。

### 踩坑

刚开始我更新的时候反复踩坑，要么是显示什么「找不到所需的 Rosetta 更新」，要么速度极慢。我本来以为是校园网的抽象活，毕竟校园网的优秀质量和高度稳定性早已通过了实践的考验（在教学楼连不上网）。后来我想到可能是代理的问题，就把网络设置改了下，速度就快多了。

总更新时间不超过一个小时，至少是在我衣服洗完之后就更新好了。然后重启电脑即可。

### 体验

总体而言，macOS Sequoia 的设计风格和 macOS Sonoma 基本没区别，但是细节上有变化，比如通知变窄了。之前听说 macOS Sequoia 的设计风格会大改，看来是没实现。

牢果官方说的几个更新点对我来说几乎没什么感觉，比如 iPhone 镜像，这个甚至在 Windows+Android 都能实现（借助牢软出的一个软件），不能拖拽文件的话对我来说几乎就是毫无作用，最多就是接一个通知；内置密码管理器，我有 Vaultwarden，用不着这个（但是我还是把密码导入了一份，毕竟不知道哪天服务器就连不上了，有一手准备总是好的）；Calendar 和 Reminder 同步，这个属于概念神，但是我目前用得不多；而 Apple Intelligence 还没发布，发布了估计也用不了。而且我也不想用，让 AI 盯着我的一举一动我实在是令人头皮发麻。不知道牢果后续会不会加什么抽象的狠活，如果实在是太离谱，我就得考虑锁定版本或者换到 Linux 了。Fedora 和 Manjaro 都不错，配置一个 KDE macOS Sequoia 应该可以复刻 macOS 的风格。

~~才买电脑几天你就想着换新的~~

说起来，倒是有一个小功能很戳我：空格预览支持 Markdown 了。虽然只能预览为纯文本，但是已经足够了。反正，Markdown 的本质就是纯文本。

~~那为什么不能预览 CSS？！~~

目前为止没遇到任何兼容性和数据损失问题。不过如果大家想升级，还是建议备份。小氯没有移动硬盘，因此没备份，这是不对的。

## iOS 18 & iPadOS 18

iOS 也迎来了一波升级。为了和 macOS Sequoia 配套，我直接全部升级了。也没遇到什么问题，算是你过关了吧。

还是希望牢果不要整太多抽象的活，好好做产品。不然换一个系统需要适应的时间是很久的。

## Ubuntu server 24.04.1 LTS

别急着走，茶还没喝完呢。

前几天 SSH 我的 server 时，Ubuntu 就开始喋喋不休地告诉我更新（~~Ubuntu：我明明只是每次登录说一遍而已~~）。说实话原本不想更新，原因在于对新版本的不信任。要不为什么现在这么多服务器还是 Ubuntu 18.04。

可是随着这几天服务访问的频繁崩溃，我实在是绷不住了。虽然说有可能是校园网的抽象烂活，但是一想到承载在我大半个数字生活的虚拟机时常要在断联的边缘起舞弄清影，小氯就像吃甜味酸菜鱼一样难绷。

于是，~~病急乱投医之下~~我想到了更新。或许更新一下就好了呢。

那么来吧。

SSH 进去，先把包滚一遍：

```bash
sudo apt update
sudo apt upgrade
```

然后直接更新：

```bash
sudo do-release-upgrade
```

然后会有一大堆安装记录。注意里面有一个会给你单独开一个新的 sshd，这时候 tmux 到一个新的窗口，维持好 SSH 的登录即可。

剩下的事情一路回车，但是这里面出现了一个问题：我洗衣服去了，回来一看，好家伙，connection closed。

我瞬间绷不住了。因为就我的经验来看，只要出了这个问题，除非飞天面条大神洒高汤，否则根本修复不了。

还好另一个 SSH 还在。查看一下系统状态，这个更新进程似乎是坏掉了（也有可能是我判断失误）。

妥，那咱们中止进程，重来。

首先把进程都鲨了：

```bash
sudo killall apt dpkg do-release-upgrade
```

然后再看一遍：

```bash
ps aux | grep -E 'apt|dpkg|upgrade'
```

要是还有就 `-9` 强制超度。

然后把锁文件删了：

```bash
sudo rm /var/lib/dpkg/lock
sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
```

修复系统状态：

```bash
sudo dpkg --configure -a
sudo apt install -f
sudo apt update
sudo apt upgrade
```

按理说下面应该重启更新，然而我记得我重启系统之后，就更新好了。不知道怎么回事。当然我这方法挺暴力的，谨慎使用。

然后 SSH 就可以回去了。我用 IP 加端口看了下 1Panel，应该是 OpenResty 的问题。不知道怎么回事。

## 结语

水了篇文章，内心就如 1939 年末的欧洲——毫无波兰。

说起来，真有点想换 Linux 全面拥抱开源了。Unix shell 我已经基本会耍了，就是两个问题：用什么发行版，刷什么设备。发行版我比较喜欢 Fedora 和 Manjaro，而设备方面，最合适的应该是模块化电脑 Framework Laptop。问题是 FWL 在大陆地区买不到，或许我去牢美那边交换或者实践的时候会去看看吧。
