---
title: 有用与有趣之间
categories: ["沉思录"]
date: 2024-01-26T12:00:00
tags:
  - 随笔
featuredImage: https://img.viento.cc/IMG-20240126120000-0.webp
slug: between-interesting-and-useful
summary: 关于独立博客「有用」的一点思考。
description: 本文探讨了作者在写技术博客时的内心挣扎和对内容「有用」与「有趣」之间关系的思考。作者因担心技术水平不够和追求完美，迟迟没有发布笔记。同时，反思写博客的目的，是为了记录自己有意义的内容，还是迎合读者。作者认为，不必过于执着于内容是否有用，只要能带来温暖的生命体验，独立博客就有其独特的价值。
---

事情的起因是这样的。我最近在看视频预习 OOP （面向对象编程）的知识，于是用 Obsidian 记了不少笔记。由于我很早就有将笔记作为博客发布的想法，因此，我在写笔记的时候也花了些心思，希望尽可能的引人入胜。

可是到了要发布的时候我却算了。一方面，是自己的技术力实在太弱；另一方面，是我的一个比较大的想法——把程设和 OOP 两门课的所有知识整合好，编写成一份完整的“学徒写给学徒”的 C++ 入门教程。

不过这个工作量很大，因为我初期没有很多 C++ 的笔记。而且，正如《C++ Primer Plus》里面说的，随着我们的学习，这些词汇将从花里胡哨的词语变为论述中必不可少的术语。即使你的知识稍多一点，也很难回到最初清澈而愚蠢的状态去写教程了。

而我的强迫症又不能允许我先发后面的知识，于是卡住，给大家一种我一直在鸽的印象。

此外，我也会时常担心我的文章写得不好，读者会不喜欢。这种担心在写笔记 （技术博客）的时候尤其明显。

---

我订阅了一个很喜欢的博客站—— [夜猫日记 (lillianwho.com)](https://lillianwho.com/)。这是我见到的第一个独立博客，不夸张地说，我是受这位博主的影响才有了建站的念头的。

我一般都是安静地浏览文章，但是今天我却突然想到：如果有一个人给我的博客留了言，只要不是广告或者恶意中伤的言论，我都会很开心。那是不是其他漂流在互联网海洋的孤岛，它们的主人也是这么想的呢？

于是我码了一段留言，大意是对文章的看法表示赞同，并简单表示了感谢。

不久后我就收到了回复。

![](https://img.viento.cc/IMG-20240126120000-1.webp)

我陷入了沉思.

在我眼里，这个小站已经非常优秀了，无论是颜值还是内容。然而，它的主人和我却有一样的担心。而且我有足够的理由推测，许多的博主也有这样的顾虑。

**担心「写得不好」，是人之常情。但是如果 （像我一样）因此而畏手畏脚，是否有些过激了？**

感觉在这点上，博主[青山](https://yinji.org/)说得蛮好的：

> 上周没有更新周报，回顾一周，并没有值得记录的事情，而我不想为了写而写，必须是要记录一些对我有意义的内容。这其实也涉及一个话题，我们写博客是为了写我们想记录的内容，还是为了写希望读者阅读的内容？过去我可能是后者，打着“每日一博”的旗号坚持更新，希望获得阅读量、评论和反馈，现在我是前者，希望记录有意义的内容，如果恰巧能让读者也喜欢，不胜荣幸。

原文链接：[周报 #07 – 铲屎官、内容与外表、新闻女王 | 印记 (yinji.org)](https://yinji.org/5195.html)

可惜，道理我懂，但是很难像青山看得那么开。可能这也算是 INFJ 的一个缺点吧。

此外，似乎还有另外一个问题：**何为有用？**

这个问题的哲学浓度有点超标，不过，忘记在哪听过一个说法：中国古代似乎没有专职的哲学家，因为在中国古代，读哲学是为了让人成为人，而不是成为某种特殊的人。

> 人不一定应当是宗教的，但他一定应当是哲学的。
> —— 冯友兰《中国哲学简史》

扯远了。这个问题我还给不出明确的回答，但是我至少能分清一件事，就是**好笑和有趣有本质的不同**。

一个无厘头的抽象视频，当然非常好笑，但是我不觉得它有趣；而一篇简单分享自己下午茶动手煎了个鸡蛋的博文，一点也不好笑，但是看着看着，嘴角却不自觉勾起一抹弧度。

知乎曾经用过一个 slogan 「与世界分享你的知识、经验和见解」, 我觉得，再加上一个词「生命体验」, 就能概括独立博客的使命 （这个词有点大）了。

是的，生命体验。这个词听起来很玄乎，但是很容易实例化。而我觉得，在这个「泛娱乐化」的时代，能够带着温暖和平静将自己的生命体验写成博客，就已经是有趣且有意义的了。

从这个意义上说，独立博客就是博主的数字生命。

而「知识、经验和见解」—— 更加「有用」的「干货」, 我不想为这两种内容划个高下，毕竟，发动机的汽油和手中的热巧克力都是不可或缺的。

所以，我觉得，也不必执着于是否「有用」了。即使它们真的是无用的，能够耐心地将你的知识、经验、见解和生命体验从头看到尾的读者，想必也是懂得它们的「无用之用」的吧 （笑）。
